complexType "FxOption"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 14 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 10 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | primaryAssetClass?, secondaryAssetClass*, productType*, productId*, effectiveDate?, tenorPeriod?, (americanExercise | europeanExercise), putCurrencyAmount, callCurrencyAmount, soldAs?, strike, spotRate?, premium
</...>

Content Model Elements (14):

  americanExercise (in fxOption), callCurrencyAmount, effectiveDate (in fxOption), europeanExercise (in fxOption), premium (in fxOption), primaryAssetClass, productId, | productType, putCurrencyAmount, secondaryAssetClass, soldAs, spotRate (in fxOption), strike (in fxOption), tenorPeriod (in fxOption)

All Direct / Indirect Based Elements (1):

  fxOption

Known Usage Locations

- As direct type of elements (1):
  fxOption

Annotation
Describes an FX option with optional asian and barrier features.
Type Definition Detail

Type Derivation Tree Product (extension) Option (extension) FxOption

XML Source (w/o annotations (13); see within schema source)

<xsd:complexType name="FxOption"> <xsd:complexContent> <xsd:extension base="Option"> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="tenorPeriod" type="Period"/> <xsd:sequence> <xsd:choice> <xsd:element name="americanExercise" type="FxAmericanExercise"/> <xsd:element name="europeanExercise" type="FxEuropeanExercise"/> </xsd:choice> <!--View Generation: SKIPPED exerciseProcedure - Documentation--> </xsd:sequence> <xsd:sequence> <xsd:element name="putCurrencyAmount" type="NonNegativeMoney"/> <xsd:element name="callCurrencyAmount" type="NonNegativeMoney"/> </xsd:sequence> <xsd:element minOccurs="0" name="soldAs" type="PutCallEnum"/> <xsd:sequence> <xsd:element name="strike" type="FxStrikePrice"/> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/> </xsd:sequence> <!--View Generation: SKIPPED features - NonStandardFeature--> <xsd:element name="premium" type="FxOptionPremium"/> <!--View Generation: SKIPPED cashSettlement - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 10/14)
americanExercise

  Type: | FxAmericanExercise, complex content

  The parameters for defining the exercise period for an American style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="americanExercise" type="FxAmericanExercise"/>

callCurrencyAmount

  Type: | NonNegativeMoney, complex content

  The currency amount that the option gives the right to buy.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="callCurrencyAmount" type="NonNegativeMoney"/>

effectiveDate

  Type: | AdjustableOrRelativeDate, complex content

  Effective date for a forward starting derivative. If this element is not present, the effective date is the trade date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/>

europeanExercise

  Type: | FxEuropeanExercise, complex content

  The parameters for defining the exercise period for an European style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="europeanExercise" type="FxEuropeanExercise"/>

premium

  Type: | FxOptionPremium, complex content

  Premium amount or premium installment amount for an option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="premium" type="FxOptionPremium"/>

putCurrencyAmount

  Type: | NonNegativeMoney, complex content

  The currency amount that the option gives the right to sell.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="putCurrencyAmount" type="NonNegativeMoney"/>

soldAs

  Type: | PutCallEnum, simple content

  Indicates how the product was original sold as a Put or a Call.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Put" | - | A put option gives the holder the right to sell the underlying asset by a certain date for a certain price. See: http://www.FpML.org
  "Call" | - | A call option gives the holder the right to buy the underlying asset by a certain date for a certain price. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="soldAs" type="PutCallEnum"/>

spotRate

  Type: | PositiveDecimal, simple content

  An optional element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the option needs to move "up" or "down" to be triggered.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/>

strike

  Type: | FxStrikePrice, complex content

  Defines the option strike price.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="strike" type="FxStrikePrice"/>

tenorPeriod

  Type: | Period, complex content

  A tenor expressed as a period type and multiplier (e.g. 1D, 1Y, etc.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tenorPeriod" type="Period"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.